#
# spec file for package python3-future
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-future
Version:        0.16.0
Release:        5.1
Summary:        Clean single-source support for Python 3 and 2
License:        MIT
Group:          Development/Languages/Python
Url:            https://python-future.org
Source:         https://pypi.python.org/packages/00/2b/8d082ddfed935f3608cc61140df6dcbf0edea1bc3ab52fb6c29ae3e81e85/future-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires(post): update-alternatives
Requires(preun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
future: Easy, safe support for Python 2/3 compatibility

``future`` is the missing compatibility layer between Python 2 and Python
3. It allows you to use a single, clean Python 3.x-compatible codebase to
support both Python 2 and Python 3 with minimal overhead.

%prep
%setup -q -n future-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
for p in futurize pasteurize ; do
    mv %{buildroot}%{_bindir}/$p %{buildroot}%{_bindir}/$p-%{py3_ver}
    ln -s -f %{_sysconfdir}/alternatives/$p %{buildroot}%{_bindir}/$p
done

%fdupes %{buildroot}/%{python3_sitelib}/*

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/futurize futurize %{_bindir}/futurize-%{py3_ver} 40 \
   --slave %{_bindir}/pasteurize pasteurize %{_bindir}/pasteurize-%{py3_ver}

%preun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove futurize %{_bindir}/futurize-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{_bindir}/futurize
%{_bindir}/pasteurize
%{_bindir}/futurize-%{py3_ver}
%{_bindir}/pasteurize-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/futurize
%ghost %{_sysconfdir}/alternatives/pasteurize
%{python3_sitelib}/*

%changelog
* Thu Dec  1 2016 ms@suse.com
- Include in SLE 12 (fate#322094, bsc#1011342)
* Fri Nov 25 2016 mimi.vx@gmail.com
- update to 0.16.0
- fix sitelib search
  * Fix newbytes constructor bug.
  * Fix semantics of bool() with newobject.
  * Fix standard_library.install_aliases() on PyPy.
  * Fix assertRaises for pow and compile` on Python 3.5.
  * Fix return argument of future.utils.ensure_new_type
  if conversion to new type does not exist.
  * Add missing cmp_to_key for Py2.6.
  * Allow the old_div fixer to be disabled.
  * Improve compatibility with Google App Engine.
  * Add some missing imports to the tkinter and tkinter.filedialog
  package namespaces.
  * Fix raise_from on PY3 when the exception cannot be recreated from its repr.
* Thu Sep 15 2016 toddrme2178@gmail.com
- Initial python3 version
* Fri Sep  9 2016 glin@suse.com
- Remove %%ghost from %%{_bindir}/futurize and %%{_bindir}/pasteurize
  (fate#320644)
* Mon Dec 14 2015 glin@suse.com
- initial import: 0.15.2 (fate#320644)
